"Fossies" - the Fresh Open Source Software Archive  

Source code changes of the file "resources/examples/simple.sh" between
argbash-2.9.0.tar.gz and argbash-2.10.0.tar.gz

About: argbash is a bash code generator that can assist you in writing scripts that accept arguments.

simple.sh  (argbash-2.9.0):simple.sh  (argbash-2.10.0)
#!/bin/bash #!/bin/bash
# DEFINE_SCRIPT_DIR([]) # DEFINE_SCRIPT_DIR([])
# INCLUDE_PARSING_CODE([simple-parsing.sh]) # INCLUDE_PARSING_CODE([simple-parsing.sh])
# ARGBASH_GO() # ARGBASH_GO()
# needed because of Argbash --> m4_ignore([ # needed because of Argbash --> m4_ignore([
### START OF CODE GENERATED BY Argbash v2.9.0 one line above ### ### START OF CODE GENERATED BY Argbash v2.10.0 one line above ###
# Argbash is a bash code generator used to get arguments parsing right. # Argbash is a bash code generator used to get arguments parsing right.
# Argbash is FREE SOFTWARE, see https://argbash.io for more info # Argbash is FREE SOFTWARE, see https://argbash.io for more info
# OTHER STUFF GENERATED BY Argbash # OTHER STUFF GENERATED BY Argbash
script_dir="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)" || die "Couldn't dete rmine the script's running directory, which probably matters, bailing out" 2 script_dir="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)" || { echo "Couldn't d etermine the script's running directory, which probably matters, bailing out" >& 2; exit 2; }
. "$script_dir/simple-parsing.sh" # '.' means 'source' . "$script_dir/simple-parsing.sh" # '.' means 'source'
### END OF CODE GENERATED BY Argbash (sortof) ### ]) ### END OF CODE GENERATED BY Argbash (sortof) ### ])
# [ <-- needed because of Argbash # [ <-- needed because of Argbash
# Now we take the parsed data and assign them no nice-looking variable names, # Now we take the parsed data and assign them no nice-looking variable names,
# sometimes after a basic validation # sometimes after a basic validation
verbose=$_arg_verbose verbose=$_arg_verbose
unit=$_arg_unit unit=$_arg_unit
 End of changes. 2 change blocks. 
2 lines changed or deleted 2 lines changed or added

Home  |  About  |  Features  |  All  |  Newest  |  Dox  |  Diffs  |  RSS Feeds  |  Screenshots  |  Comments  |  Imprint  |  Privacy  |  HTTP(S)